MCUX CLNS MCUX Crypto Library Normal Secure |

Data Fields
mcuxClHash_Algo Struct Reference

## Data Fields
mcuxClHash_AlgoEngine_t | engine
| Hash engine function. More...
mcuxClHash_AlgoSkeleton_t | skeleton
| One-shot hash skeleton function. More...
mcuxClHash_AlgoSkeleton_t | streamingSkeleton
| Streaming hash skeleton function. More...
size_t | blockSize
| Size of the block used by the hash algorithm. More...
size_t | hashSize
| Size of the output of the hash algorithm. More...
size_t | stateSize
| Size of the state used by the hash algorithm. More...
uint32_t | counterSize
| Size of the counter used by the hash algorithm. More...
uint32_t | rtfSize
| Size of the Runtime Fingerprint used by the hash function; has to be set to zero when not supported. More...
uint32_t | protection_token_skeleton
| Protection token value for the used one-shot skeleton. More...
uint32_t | protection_token_streaming_skeleton
| Protection token value for the used streaming skeleton. More...
uint32_t | protection_token_engine
| Protection token value for the used engine. More...

## Field Documentation

## ◆ engine

mcuxClHash_AlgoEngine_t mcuxClHash_Algo::engine

Hash engine function.

## ◆ skeleton

mcuxClHash_AlgoSkeleton_t mcuxClHash_Algo::skeleton

One-shot hash skeleton function.

## ◆ streamingSkeleton

mcuxClHash_AlgoSkeleton_t mcuxClHash_Algo::streamingSkeleton

Streaming hash skeleton function.

## ◆ blockSize

size_t mcuxClHash_Algo::blockSize

Size of the block used by the hash algorithm.

## ◆ hashSize

size_t mcuxClHash_Algo::hashSize

Size of the output of the hash algorithm.

## ◆ stateSize

size_t mcuxClHash_Algo::stateSize

Size of the state used by the hash algorithm.

## ◆ counterSize

uint32_t mcuxClHash_Algo::counterSize

Size of the counter used by the hash algorithm.

## ◆ rtfSize

uint32_t mcuxClHash_Algo::rtfSize

Size of the Runtime Fingerprint used by the hash function; has to be set to zero when not supported.

## ◆ protection_token_skeleton

uint32_t mcuxClHash_Algo::protection_token_skeleton

Protection token value for the used one-shot skeleton.

## ◆ protection_token_streaming_skeleton

uint32_t mcuxClHash_Algo::protection_token_streaming_skeleton

Protection token value for the used streaming skeleton.

## ◆ protection_token_engine

uint32_t mcuxClHash_Algo::protection_token_engine

Protection token value for the used engine.